aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_a.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-11-20 19:10:55 -0500
committerMarcoFalke <falke.marco@gmail.com>2019-11-20 19:56:26 -0500
commitfaeeca87b65dd98e0efbc54443b3f8854cae9c00 (patch)
treea39ec6bf8b8e4b9dcb6082b13569ba7323e686b1 /ci/test/06_script_a.sh
parent41162c0ba0a1aab8110ad65c4035c7087dce0f84 (diff)
downloadbitcoin-faeeca87b65dd98e0efbc54443b3f8854cae9c00.tar.xz
scripted-diff: Move various folders to ci scratch dir
-BEGIN VERIFY SCRIPT- # move ci sanitizer-output sed -i -e 's|BASE_BUILD_DIR}/sanitizer-output|BASE_SCRATCH_DIR}/sanitizer-output|g' $(git grep -l BASE_BUILD_DIR ci) # move qa-assets sed -i -e 's|BASE_BUILD_DIR}/qa-assets|BASE_SCRATCH_DIR}/qa-assets|g' $(git grep -l BASE_BUILD_DIR ci) # move out dir sed -i -e 's|BASE_BUILD_DIR/out|BASE_SCRATCH_DIR/out|g' $(git grep -l BASE_BUILD_DIR ci) -END VERIFY SCRIPT-
Diffstat (limited to 'ci/test/06_script_a.sh')
-rwxr-xr-xci/test/06_script_a.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ci/test/06_script_a.sh b/ci/test/06_script_a.sh
index 34b8477197..25669f4049 100755
--- a/ci/test/06_script_a.sh
+++ b/ci/test/06_script_a.sh
@@ -47,7 +47,7 @@ DOCKER_EXEC ./configure --cache-file=../config.cache $BITCOIN_CONFIG_ALL $BITCOI
END_FOLD
set -o errtrace
-trap 'DOCKER_EXEC "cat ${BASE_BUILD_DIR}/sanitizer-output/* 2> /dev/null"' ERR
+trap 'DOCKER_EXEC "cat ${BASE_SCRATCH_DIR}/sanitizer-output/* 2> /dev/null"' ERR
BEGIN_FOLD build
DOCKER_EXEC make $MAKEJOBS $GOAL || ( echo "Build failure. Verbose build follows." && DOCKER_EXEC make $GOAL V=1 ; false )